Package org.eclipse.lemminx.utils

## Class CompletionItemDefaultsUtils

- java.lang.Object
- - org.eclipse.lemminx.utils.CompletionItemDefaultsUtils

    public class CompletionItemDefaultsUtils
    extends Object

CompletionItemDefaultsUtils for implementing itemDefaults in completion list

### Constructor Summary

Constructors
`CompletionItemDefaultsUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `process​(CompletionResponse completionResponse, SharedSettings sharedSettings)` Processes the completion list and manages item defaults.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompletionItemDefaultsUtils

    public CompletionItemDefaultsUtils()

### Method Detail

#### process

    public static void process​(CompletionResponse completionResponse,
                               SharedSettings sharedSettings)

Processes the completion list and manages item defaults.

Parameters:
  `completionResponse` - the completion response
  `sharedSettings` - the shared settings